## globs 0.2.0~svn50

=== SConstruct ===
import os

# Install directories
root = ARGUMENTS.get('root', '/')
prefix = ARGUMENTS.get('prefix', 'usr/local')
if root != '' and prefix != '': # not defaults
	if prefix[0] == '/':
		prefix = prefix[1:]

install_dir = os.path.join(root, prefix, 'share/globs/benchmarks')
locale_dir = os.path.join(root, prefix, 'share/locale')

# run sub scripts
Export('install_dir', 'locale_dir')
dirs = ('src/benchmarks', 'po')

for x in dirs:
    SConscript(os.path.join(x, 'SConstruct'))

=== po/SConstruct ===
import os, SCons

# import variables
try:
	Import('locale_dir')
except SCons.Errors.UserError:
	# Install directory
	root = ARGUMENTS.get('root', '/')
	prefix = ARGUMENTS.get('prefix', 'usr/local')
	if root != '' and prefix != '': # not defaults
		if prefix[0] == '/':
			prefix = prefix[1:]
	locale_dir = os.path.join(root, prefix, 'share/locale')

# create environment
env = Environment()
pkg = 'globs'
langs = ('it', 'de', 'tr', 'fr', 'es', 'sv')

# defining helpers and builders
def pot_helper():
	args = [ 'intltool-update', '--pot', '--gettext-package=' + pkg]
	print 'Updating ' + pkg + '.pot'
	return os.spawnvp(os.P_WAIT, 'intltool-update', args)

def po_helper(po, pot):
	args = ['msgmerge', '--update', po, pot]
	print 'Updating ' + po
	return os.spawnvp(os.P_WAIT, 'msgmerge', args)

def mo_builder(target, source, env):
	potfile = os.path.join(os.path.dirname(os.path.dirname(source[0].get_path())), pkg + '.pot')
	po_helper(source[0].get_path(), potfile)
	args = ['msgfmt', '-c', '-o', target[0].get_path(), source[0].get_path()]
	return os.spawnvp(os.P_WAIT, 'msgfmt', args)

mo_bld = Builder(action = mo_builder)
env.Append (BUILDERS = {'MoBuild' : mo_bld})

# print building message
if not env.GetOption('clean'):
	print ":: Building binary message catalogs"
	pot_helper()

for x in langs:
	catalog = env.MoBuild(os.path.join(x, 'LC_MESSAGES/%s.mo' % pkg), os.path.join(x, x + '.po'))
	# Install
	if locale_dir != '':
		dest = os.path.join(locale_dir, x, 'LC_MESSAGES')
		env.Install(dest, catalog)
		env.Alias('install', dest)

=== src/benchmarks/SConstruct ===
import os, SCons

# import variables
try:
	Import('install_dir')
except SCons.Errors.UserError:
	# Install directory
	root = ARGUMENTS.get('root', '/')
	prefix = ARGUMENTS.get('prefix', 'usr/local')
	if root != '' and prefix != '': # not defaults
		if prefix[0] == '/':
			prefix = prefix[1:]
	install_dir = os.path.join(root, prefix, 'share/globs/benchmarks')

# create build environment
env = Environment()

# determine compiler and linker flags for SDL
env.ParseConfig('sdl-config --cflags')
env.ParseConfig('sdl-config --libs')

# check for libraries and headers (if not cleaning)
if not env.GetOption('clean'):
	print ":: Checking for libs"
	conf = Configure(env)
	if not conf.CheckLibWithHeader('libSDL', 'SDL.h', 'c', 'SDL_Init(SDL_INIT_VIDEO);', autoadd=0):
		print 'Did not find libSDL, exiting!'
		Exit(1)
	if not conf.CheckLibWithHeader('libSDL_image', 'SDL_image.h', 'c', 'IMG_GetError();'):
		print 'Did not find libSDL_image, exiting!'
		Exit(1)
	if not conf.CheckLibWithHeader('libGL', 'GL/gl.h', 'c', 'glLoadIdentity();'):
		print 'Did not find libGL, exiting!'
		Exit(1)
	env = conf.Finish()


# print building message
if not env.GetOption('clean'):
	print ":: Compiling benchmarks for posix"


# run sub scripts
Export('env', 'install_dir')
# benchmarks
dirs = ('Fake', 'GL_smoke', 'GL_pointz', 'GL_shadow', 'GL_blit', 'GLSL_parallax')

for x in dirs:
    SConscript(x + '/SConscript')

=== src/benchmarks/GLSL_parallax/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags` -I/usr/X11R6/include
LDFLAGS = `sdl-config --libs` -lGL -L/usr/X11R6/lib -lSDL_image
RM   = /bin/rm -f

.PHONY: clean
all: glsl_parallax
glsl_parallax: main.o init.o textfile.o extra.o
	$(LD) $(LDFLAGS) -o glsl_parallax main.o init.o textfile.o extra.o
main.o: main.c
	$(CC) $(CFLAGS) -c main.c
init.o: init.h init.c
	$(CC) $(CFLAGS) -c init.c
textfile.o: textfile.h textfile.c
	$(CC) $(CFLAGS) -c textfile.c
extra.o: extra.h extra.c
	$(CC) $(CFLAGS) -c extra.c
clean:
	$(RM) *~ init.o textfile.o extra.o main.o glsl_parallax

=== src/benchmarks/GL_blit/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags` -I/usr/X11R6/include
LDFLAGS = `sdl-config --libs` -lSDL_image -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_blit gl_blit_ext
gl_blit: gl_blit.o
	$(LD) $(LDFLAGS) -o gl_blit gl_blit.o
gl_blit.o: gl_blit.c gl_blit.h
	$(CC) $(CFLAGS) -c gl_blit.c
gl_blit_ext: gl_blit_ext.o
	$(LD) $(LDFLAGS) -o gl_blit_ext gl_blit_ext.o
gl_blit_ext.o: gl_blit_ext.c gl_blit_ext.h
	$(CC) $(CFLAGS) -c gl_blit_ext.c
clean:
	$(RM) *~ gl_blit.o gl_blit_ext.o gl_blit gl_blit_ext

=== src/benchmarks/GL_pointz/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_pointz
gl_pointz: gl_pointz.o
	$(LD) $(LDFLAGS) -o gl_pointz gl_pointz.o
gl_pointz.o: gl_pointz.c
	$(CC) $(CFLAGS) -c gl_pointz.c
clean:
	$(RM) *~ gl_pointz.o gl_pointz

=== src/benchmarks/GL_shadow/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lSDL_image -lGL
RM   = /bin/rm -f
OBJS = main.o object.o extra.o shadow.o

.PHONY: clean
all: gl_shadow test_obj
gl_shadow: $(OBJS)
	$(LD) $(LDFLAGS) -o gl_shadow $(OBJS)
test_obj: test_obj.o object.o
	$(LD) $(LDFLAGS) -o test_obj test_obj.o object.o
main.o: main.c extra.h object.h shadow.h
	$(CC) $(CFLAGS) -c main.c
object.o: object.c object.h
	$(CC) $(CFLAGS) -c object.c
extra.o: extra.c extra.h
	$(CC) $(CFLAGS) -c extra.c
shadow.o: shadow.c shadow.h
	$(CC) $(CFLAGS) -c shadow.c
test_obj.o: test_obj.c object.h
	$(CC) $(CFLAGS) -c test_obj.c
clean:
	$(RM) *~ $(OBJS) gl_shadow test_obj test_obj.o

=== src/benchmarks/GL_smoke/Makefile ===
CC = gcc
LD = gcc
CFLAGS = `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lSDL_image -lGL
RM   = /bin/rm -f

.PHONY: clean
all: gl_smoke
gl_smoke: gl_smoke.o particle.o
	$(LD) $(LDFLAGS) -o gl_smoke gl_smoke.o particle.o
gl_smoke.o: gl_smoke.c particle.h
	$(CC) $(CFLAGS) -c gl_smoke.c
particle.o: particle.c
	$(CC) $(CFLAGS) -c particle.c
clean:
	$(RM) *~ particle.o gl_smoke.o gl_smoke

=== debian/changelog ===
globs (0.2.0~svn50-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ TANIGUCHI Takaki ]
  * debian/patches/0004-Force-prototypes.patch: Fix segmentation
    fault. (Closes: #913174)
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 09 Nov 2018 11:14:52 +0900

globs (0.2.0~svn50-5) unstable; urgency=medium

  * Bump Stanrads-Version to 4.1.5
  * debian/compat: 11
  * d/control:
    - Move Vcs-* to salsa.d.o.
    - add dh-python to B-D.
    - Change priority to optional
  * debian/menu: Removed.
  * d/patches/00003-Add-debug-option: Build with debug option.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jul 2018 15:15:59 +0900

globs (0.2.0~svn50-4) unstable; urgency=low

  * debian/control:
    + Add python-all to B-D.
    + Add VCS-* fields.
  * debian/rules: Add option '--with python2'. (Closes: #654997)
  * debian/copyright: Update Format URI.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Mar 2012 11:01:47 +0900

globs (0.2.0~svn50-3) unstable; urgency=low

  * control: Add python-glade2 to Depends. (Closes: #637409)
  * Bump Standards-Version to 3.9.2.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 11 Aug 2011 21:14:13 +0900

globs (0.2.0~svn50-2) unstable; urgency=low

  * debian/control: add scons to Build-Depends. (Closes: #620265)
  * debian/control: add libsdl1.2-dev to BD.
  * debian/patches/add_libm: Add to link with libm.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 16:52:25 +0900

globs (0.2.0~svn50-1) unstable; urgency=low

  * Initial release (Closes: #510453)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 20 Jan 2011 22:23:04 +0900

=== debian/control ===
Source: globs
Section: x11
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11),
	dh-python,
	scons,
	libsdl1.2-dev,
	libsdl-image1.2-dev,
	python-all
Standards-Version: 4.2.1
Homepage: http://globs.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/globs.git
Vcs-Browser: https://salsa.debian.org/debian/globs

Package: globs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
	python, python-glade2
Description: GL Open Benchmark Suite
 GL O.B.S. is based around a PyGTK interface that launches OpenGL programs
 feeding them with a common CLI options set which will affect their
 behavior, then receives back their statistical output.
 .
 It aims to provide a 3D benchmarking utility to the Linux users.

=== debian/watch ===
version=3
https://sf.net/globs/globs-(.*)\.tar\.gz
